Package org.eclipse.emf.cdo.explorer

# Enum Class CDOExplorerManager.ElementsChangedEvent.StructuralImpact

java.lang.Object
java.lang.Enum<CDOExplorerManager.ElementsChangedEvent.StructuralImpact>
org.eclipse.emf.cdo.explorer.CDOExplorerManager.ElementsChangedEvent.StructuralImpact

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOExplorerManager.ElementsChangedEvent.StructuralImpact>`, `Constable`

Enclosing interface:
  CDOExplorerManager.ElementsChangedEvent

public static enum CDOExplorerManager.ElementsChangedEvent.StructuralImpact extends Enum<CDOExplorerManager.ElementsChangedEvent.StructuralImpact>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ELEMENT`
`NONE`
`PARENT`

## Method Summary

Modifier and Type
Method
Description
`static CDOExplorerManager.ElementsChangedEvent.StructuralImpact`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOExplorerManager.ElementsChangedEvent.StructuralImpact[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CDOExplorerManager.ElementsChangedEvent.StructuralImpact NONE

### ELEMENT

public static final CDOExplorerManager.ElementsChangedEvent.StructuralImpact ELEMENT

### PARENT

public static final CDOExplorerManager.ElementsChangedEvent.StructuralImpact PARENT

## Method Details

### values

public static CDOExplorerManager.ElementsChangedEvent.StructuralImpact[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOExplorerManager.ElementsChangedEvent.StructuralImpact valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null